//from www.forwhat.cn
#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include "qtcpserver.h"
#include "qtcpsocket.h"
namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT
public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();
public:
    QTcpServer *m_tcpServer;
    QTcpSocket *m_tcpSocket;
public slots:
    void readMessage();
    void sendMessage();
    void newConnect();
    void on_pushButton_clicked();
private:
    Ui::MainWindow *ui;
};

#endif // MAINWINDOW_H
